Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Class OAIComponentImpl

    java.lang.Object
      fr.gouv.culture.oai.OAIComponentImpl

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.logger.LogEnabled, OAIComponent, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.thread.ThreadSafe

public class OAIComponentImpl
extends java.lang.Object
implements org.apache.avalon.framework.logger.LogEnabled, OAIComponent, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.thread.ThreadSafe

Created by IntelliJ IDEA. User: rpandey Date: Apr 24, 2003 Time: 12:05:45 PM To change this template use Options | File Templates.

Field Summary
`protected org.apache.avalon.framework.logger.Logger` | `logger`

Fields inherited from interface fr.gouv.culture.oai.OAIComponent
`ROLE`

Constructor Summary
`OAIComponentImpl()`

Method Summary
`void` | `acceptRequest(OAIRepository repo, org.apache.cocoon.environment.Request cocoonRequest, org.apache.cocoon.xml.XMLConsumer consumer)`
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)`
`void` | `contextualize(org.apache.avalon.framework.context.Context context)`
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)`
`org.apache.avalon.framework.logger.Logger` | `getLogger()` Gets the framework's super.getLog().
`void` | `initialize()`
`void` | `receiveResponse(java.lang.String requestUrl, OAIHarvester harvester, java.lang.String identifierNodeName)`
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected org.apache.avalon.framework.logger.Logger logger

Constructor Detail

### OAIComponentImpl

    public OAIComponentImpl()

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`

### contextualize

    public void contextualize(org.apache.avalon.framework.context.Context context)
                       throws org.apache.avalon.framework.context.ContextException

  Specified by:
    `contextualize` in interface `org.apache.avalon.framework.context.Contextualizable`
  Throws:
    `org.apache.avalon.framework.context.ContextException`

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)
                 throws org.apache.avalon.framework.service.ServiceException

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`
  Throws:
    `org.apache.avalon.framework.service.ServiceException`

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### initialize

    public void initialize()
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `org.apache.avalon.framework.activity.Initializable`
  Throws:
    `java.lang.Exception`

### getLogger

    public org.apache.avalon.framework.logger.Logger getLogger()

  Gets the framework's super.getLog().

  Returns:
    The super.getLog().

### acceptRequest

    public void acceptRequest(OAIRepository repo,
                              org.apache.cocoon.environment.Request cocoonRequest,
                              org.apache.cocoon.xml.XMLConsumer consumer)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### receiveResponse

    public void receiveResponse(java.lang.String requestUrl,
                                OAIHarvester harvester,
                                java.lang.String identifierNodeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.